Debian Bug report logs - #231134
Wish: Dummy LoadModule directive in apache2.conf to ease module installations through apxs (e.g. PHP5)

version graph

Package: apache2-common; Maintainer for apache2-common is (unknown);

Reported by: Björn Wiberg <bjorn.wiberg@home.se>

Date: Wed, 4 Feb 2004 18:48:01 UTC

Severity: wishlist

Found in version 2.0.48-7

Fixed in version apache2/2.0.51-2

Done: Adam Conrad <adconrad@0c3.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#231134; Package apache2-common. Full text and rfc822 format available.

Acknowledgement sent to Björn Wiberg <bjorn.wiberg@home.se>:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Björn Wiberg <bjorn.wiberg@home.se>
To: submit@bugs.debian.org
Subject: Wish: Dummy LoadModule directive in apache2.conf to ease module installations through apxs (e.g. PHP5)
Date: Wed, 4 Feb 2004 19:44:30 +0100 (CET)
Package: apache2-common
Version: 2.0.48-7
Severity: wishlist

Other software used:
PHP version 5.0.0b3 available from http://www.php.net/downloads.php

When installing PHP5 into Apache 2 as a SAPI module, the 'make install'
target of PHP5 calls instdso.sh, which in turn uses apxs to install the
PHP5 SAPI module.

However, because the default apache2.conf shipped with the apache2-common
package does not contain any LoadModule directives, the installation
fails:

  gloomy:~/software/php-5.0.0b3# make install
  Installing PHP SAPI module:       apache2handler
  /usr/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/bin/libtool'
  libphp5.la /usr/lib/apache2/modules
  /usr/bin/libtool --mode=install cp libphp5.la /usr/lib/apache2/modules/
  cp .libs/libphp5.so /usr/lib/apache2/modules/libphp5.so
  cp .libs/libphp5.lai /usr/lib/apache2/modules/libphp5.la
  libtool: install: warning: remember to run `libtool --finish
  /root/software/php-5.0.0b3/libs'
  chmod 755 /usr/lib/apache2/modules/libphp5.so
  apxs:Error: Activation failed for custom /etc/apache2/apache2.conf
  file..
  apxs:Error: At least one `LoadModule' directive already has to exist..
  make: *** [install-sapi] Error 1

A simple fix is to add a commented(!) dummy LoadModule directive to
apache2.conf, which then acts as a placeholder for the new LoadModule
directive needed for PHP5:

  [excerpt from apache2.conf]
    # Include module configuration:
    Include /etc/apache2/mods-enabled/*.load
    Include /etc/apache2/mods-enabled/*.conf

    # Dummy LoadModule directive to aid module installations
    #LoadModule dummy_module /usr/lib/apache2/modules/mod_dummy.so

    # Include all the user configurations:
    Include /etc/apache2/httpd.conf
  [end excerpt from apache2.conf]

Doing so, the PHP5 'make install' works just fine:

  gloomy:~/software/php-5.0.0b3# make install
  Installing PHP SAPI module:       apache2handler
  /usr/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/bin/libtool'
  libphp5.la /usr/lib/apache2/modules
  /usr/bin/libtool --mode=install cp libphp5.la /usr/lib/apache2/modules/
  cp .libs/libphp5.so /usr/lib/apache2/modules/libphp5.so
  cp .libs/libphp5.lai /usr/lib/apache2/modules/libphp5.la
  libtool: install: warning: remember to run `libtool --finish
  /root/software/php-5.0.0b3/libs'
  chmod 755 /usr/lib/apache2/modules/libphp5.so
  [activating module `php5' in /etc/apache2/apache2.conf]
  (... snip ...)
  gloomy:~/software/php-5.0.0b3#

Afterwards, apache2.conf looks like this:

  [excerpt from apache2.conf]
    # Dummy LoadModule directive to aid module installations
    #LoadModule dummy_module /usr/lib/apache2/modules/mod_dummy.so
    LoadModule php5_module /usr/lib/apache2/modules/libphp5.so
  [end excerpt from apache2.conf]

That is, the new LoadModule directive gets added after the dummy
directive.

Perhaps such a dummy LoadModule directive could be added to apache2.conf
by default, to make installation of PHP (and other modules) easier?

Best regards,
Björn

--
Björn Wiberg (bjorn.wiberg@home.se)
Homepage: http://bwiberg.dyndns.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#231134; Package apache2-common. Full text and rfc822 format available.

Acknowledgement sent to "Carl Johnstone" <carl.johnstone@gmgrd.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 231134@bugs.debian.org (full text, mbox):

From: "Carl Johnstone" <carl.johnstone@gmgrd.co.uk>
To: <231134@bugs.debian.org>
Subject: RE: Bug#231134: Wish: Dummy LoadModule directive in apache2.conf to ease module installations through apxs (e.g. PHP5)
Date: Thu, 5 Feb 2004 09:02:39 -0000
 
Similar to my apache 1.3 bug - wouldn't it be better to fix apxs to generate the .load file needed to  make it work the new "Debian" way?

Carl--------------------------------------------------------
GMG Regional Digital is part of the Guardian Media Group plc. 
 
 
 
CONFIDENTIALITY NOTICE. The information contained in this e-mail is intended only for 231134@bugs.debian.org. It may contain privileged and confidential information that is exempt from disclosure by law and if you are not an intended recipient, you must not copy, distribute or take any action in reliance on it. If you have received this e-mail in error, you may notify our helpdesk by telephone on 44 (0)161 211 2222. E-mail transmission cannot be guaranteed to be secure or error-free. The sender (carl.johnstone@gmgrd.co.uk) therefore does not accept liability for any errors or omissions in the contents of this message, which arise as a result of e-mail transmission. If verification is required please request a hard-copy version.  
  
  
  
 
 

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#231134; Package apache2-common. Full text and rfc822 format available.

Acknowledgement sent to Thom May <thom@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 231134@bugs.debian.org (full text, mbox):

From: Thom May <thom@debian.org>
To: Carl Johnstone <carl.johnstone@gmgrd.co.uk>, 231134@bugs.debian.org
Cc: 231134-submitter@bugs.debian.org
Subject: Re: Bug#231134: Wish: Dummy LoadModule directive in apache2.conf to ease module installations through apxs (e.g. PHP5)
Date: Thu, 5 Feb 2004 15:19:50 +0000
* Carl Johnstone (carl.johnstone@gmgrd.co.uk) wrote :
>  
> Similar to my apache 1.3 bug - wouldn't it be better to fix apxs to generate the .load file needed to  make it work the new "Debian" way?
> 
Yep. That's exactly the route I've been planning to take for sometime, I
just need to find the time ;-)
-Thom



Message sent on to Björn Wiberg <bjorn.wiberg@home.se>:
Bug#231134. Full text and rfc822 format available.

Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Björn Wiberg <bjorn.wiberg@home.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 231134-close@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 231134-close@bugs.debian.org
Subject: Bug#231134: fixed in apache2 2.0.51-2
Date: Sat, 18 Sep 2004 13:47:05 -0400
Source: apache2
Source-Version: 2.0.51-2

We believe that the bug you reported is fixed in the latest version of
apache2, which is due to be installed in the Debian FTP archive:

apache2-common_2.0.51-2_i386.deb
  to pool/main/a/apache2/apache2-common_2.0.51-2_i386.deb
apache2-doc_2.0.51-2_all.deb
  to pool/main/a/apache2/apache2-doc_2.0.51-2_all.deb
apache2-mpm-perchild_2.0.51-2_i386.deb
  to pool/main/a/apache2/apache2-mpm-perchild_2.0.51-2_i386.deb
apache2-mpm-prefork_2.0.51-2_i386.deb
  to pool/main/a/apache2/apache2-mpm-prefork_2.0.51-2_i386.deb
apache2-mpm-threadpool_2.0.51-2_i386.deb
  to pool/main/a/apache2/apache2-mpm-threadpool_2.0.51-2_i386.deb
apache2-mpm-worker_2.0.51-2_i386.deb
  to pool/main/a/apache2/apache2-mpm-worker_2.0.51-2_i386.deb
apache2-prefork-dev_2.0.51-2_all.deb
  to pool/main/a/apache2/apache2-prefork-dev_2.0.51-2_all.deb
apache2-threaded-dev_2.0.51-2_all.deb
  to pool/main/a/apache2/apache2-threaded-dev_2.0.51-2_all.deb
apache2_2.0.51-2.diff.gz
  to pool/main/a/apache2/apache2_2.0.51-2.diff.gz
apache2_2.0.51-2.dsc
  to pool/main/a/apache2/apache2_2.0.51-2.dsc
apache2_2.0.51-2_i386.deb
  to pool/main/a/apache2/apache2_2.0.51-2_i386.deb
libapr0-dev_2.0.51-2_i386.deb
  to pool/main/a/apache2/libapr0-dev_2.0.51-2_i386.deb
libapr0_2.0.51-2_i386.deb
  to pool/main/a/apache2/libapr0_2.0.51-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 231134@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Conrad <adconrad@0c3.net> (supplier of updated apache2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 18 Sep 2004 07:12:12 -0600
Source: apache2
Binary: apache2 apache2-prefork-dev apache2-mpm-prefork apache2-doc libapr0-dev apache2-mpm-threadpool apache2-mpm-worker libapr0 apache2-threaded-dev apache2-common apache2-mpm-perchild
Architecture: source all i386
Version: 2.0.51-2
Distribution: unstable
Urgency: high
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Adam Conrad <adconrad@0c3.net>
Description: 
 apache2    - Next generation, scalable, extendable web server
 apache2-common - Next generation, scalable, extendable web server
 apache2-doc - Documentation for apache2
 apache2-mpm-perchild - Experimental High speed perchild threaded model for Apache2
 apache2-mpm-prefork - Traditional model for Apache2
 apache2-mpm-threadpool - Experimental High speed thread pool model for Apache2
 apache2-mpm-worker - High speed threaded model for Apache2
 apache2-prefork-dev - Development headers for apache2
 apache2-threaded-dev - Development headers for apache2
 libapr0    - The Apache Portable Runtime
 libapr0-dev - Development headers for libapr
Closes: 167552 167557 231134 231450 272103 272207
Changes: 
 apache2 (2.0.51-2) unstable; urgency=high
 .
   * Test for the existence of /usr/sbin/apache2 before we go trying to invoke
     it to determine what MPM we have installed (closes: #272103, #272207)
   * Make the default httpd.conf created in apache2-common's postinst contain
     a fake LoadModule line (commented out), and make apxs2 default to
     installing modules to /etc/apache2/httpd.conf, so people using apxs2
     rather than the mods-{enabled,available} directories get the expected
     behaviour, rather than obscure errors (closes: #167552, #231134)
   * apxs2 now writes the correct path to modules in httpd.conf, including
     the mysteriously missing slash (closes: #231450, #167557)
   * Make apxs2 install modules with mode 644, since 755 makes no sense.
   * Added a bit of magic to a2{en,dis}site to treat the default site as a
     special case and add a "000-" priority to the beginning of its symlink.
     Patches welcome to turn this into something robust, like update-rc.d.
Files: 
 0fc8a07688cbc35630e0eb4dea713ed1 1131 net optional apache2_2.0.51-2.dsc
 d59f3d06dcb9157f219bb12f3164a411 96496 net optional apache2_2.0.51-2.diff.gz
 603362f0fa620c2e0ea19b54c9c17bc5 3327304 doc optional apache2-doc_2.0.51-2_all.deb
 0c1dafe11b7cea90e0756ea17873e6be 163902 devel optional apache2-prefork-dev_2.0.51-2_all.deb
 5644d1b0762da9622eae7b365c1050e7 164652 devel optional apache2-threaded-dev_2.0.51-2_all.deb
 5c26cdff8bb66829370f5c7f7a200d49 839368 net optional apache2-common_2.0.51-2_i386.deb
 d66c05643a8bc47ef56c692a6b8a2fdd 214660 net optional apache2-mpm-worker_2.0.51-2_i386.deb
 e3b28d0c183367ac6d0e3685440fb3ec 214140 net optional apache2-mpm-threadpool_2.0.51-2_i386.deb
 6373343d15eebf507a74265d9e6830cb 215362 net optional apache2-mpm-perchild_2.0.51-2_i386.deb
 9baa134ddf2849c05ffd406d010268ad 211376 net optional apache2-mpm-prefork_2.0.51-2_i386.deb
 a48df001a2fdd8d9fd55d9fa66cd35f7 126840 net optional libapr0_2.0.51-2_i386.deb
 b7b19a59d85ef11ab184d90bfd159a12 255794 libdevel optional libapr0-dev_2.0.51-2_i386.deb
 09732dd7acabeaafca8a7c079aeb8411 29946 web optional apache2_2.0.51-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBTHHkvjztR8bOoMkRAhstAJ9UG9APMsj9oeoxIpe4pTGK0Q01uACfUGjS
/alLZEIg+yr92VO1MaPWmWs=
=1dla
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:30:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.